//@HEADER
// ************************************************************************
// 
//          Kokkos: Node API and Parallel Node Kernels
//              Copyright (2008) Sandia Corporation
// 
// Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
// the U.S. Government retains certain rights in this software.
// 
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are
// met:
//
// 1. Redistributions of source code must retain the above copyright
// notice, this list of conditions and the following disclaimer.
//
// 2. Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in the
// documentation and/or other materials provided with the distribution.
//
// 3. Neither the name of the Corporation nor the names of the
// contributors may be used to endorse or promote products derived from
// this software without specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
// EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
// PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
// PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
// LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
// NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
// SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
// Questions? Contact Michael A. Heroux (maherou@sandia.gov) 
// 
// ************************************************************************
//@HEADER

#ifndef __TSQR_Tsqr_Config_hpp
#define __TSQR_Tsqr_Config_hpp

/* #undef HAVE_LAPACK_DLARFP */
/* #undef HAVE_LAPACK_SLARFP */
/* #undef HAVE_LAPACK_ZLARFP */
/* #undef HAVE_LAPACK_CLARFP */

#define HAVE_LAPACK_DLARFGP 1
#define HAVE_LAPACK_SLARFGP 1
#define HAVE_LAPACK_ZLARFGP 1
#define HAVE_LAPACK_CLARFGP 1

#define HAVE_LAPACK_DGEQRFP 1
#define HAVE_LAPACK_SGEQRFP 1
#define HAVE_LAPACK_ZGEQRFP 1
#define HAVE_LAPACK_CGEQRFP 1

#define HAVE_LAPACK_DGEQR2P 1
#define HAVE_LAPACK_SGEQR2P 1
#define HAVE_LAPACK_ZGEQR2P 1
#define HAVE_LAPACK_CGEQR2P 1

#define F77_BLAS_MANGLE(name,NAME) name ## _

/* #undef HAVE_TSQR_NEW_MPI_COMMUNICATORS */
/* #undef HAVE_MPI_COMM_NETWORK */
/* #undef HAVE_MPI_COMM_NODE */
/* #undef HAVE_MPI_COMM_SOCKET */
/* #undef HAVE_MPI_COMM_CACHE */

#endif // __TSQR_Tsqr_Config_hpp
